#include <iostream>
#include <bits/stdc++.h> 

using namespace std;

int main() {
//unos elemenata -----
	int n;
	cin>>n;
	
	double a[n],p[n],s=0,max=0,temp=0;
	for(int i=0;i<n;i++){
		cin>>a[i]>>p[i];
		s+=a[i];
	}
//-------------------------

//sortiranje niza -----	
	pair<double,double> par[n];
	for(int i=0;i<n;i++){
		par[i].first=p[i];
		par[i].second=a[i];
	}
	
	sort(par,par+n);
	
	for(int i=0;i<n;i++){
		p[i]=par[i].first;
		a[i]=par[i].second;
	}
//--------------------------

	for(int i=0;i<n;i++){
		temp=0;
		temp=s*(p[i]/100);
		if(temp>max) max=temp;
		s-=a[i];
	}
	
	cout<<setprecision(15)<<max;
	
	
	return 0;
}